Issue 17387

Summary: PDF-export should support handouts, notes, etc (impress - WYSIWYG export to PDF)
Product: gsl Reporter: schnitterj <joachim.schnitter>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: alon.barlev, contact, deepcerulean, issues, kami911, lohmaier, masaya.k, mechtilde, pagalmes.lists, paul, stefan.weigel, werbung
Version: OOo 1.1 RCKeywords: oooqa, rfe_eval_ok
Target Milestone: OOo 3.x   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description schnitterj 2003-07-25 04:29:12 UTC
The new PDF export feature is great. Still there appears to be an issue with
exporting presentations: I found no way to export a presentation w/ added notes
other than as simple slides. All the special options (Ger. "Zus├Ątze") from the
print dialog are missing, and there appears no configuration option to make e.g.
printing presentations in notes format the default.
Comment 1 philipp.lohmann 2003-07-25 08:57:01 UTC
Yes, this is one more feature missing yet.
Comment 2 matthias.mueller-prove 2003-08-12 18:27:55 UTC
yes, OOo should offer the same options as for printing slides.
Comment 3 matthias.mueller-prove 2003-10-27 18:55:02 UTC
Yes, cf. http://specs.openoffice.org/appwide/pdf_export/KickOffOct2003.sxw
Comment 4 matthias.mueller-prove 2004-03-17 16:10:47 UTC
MMP>CP: Thanks for taking over.
Comment 5 christof.pintaske 2004-05-25 18:51:27 UTC
not handled for 2.0 according to
http://specs.openoffice.org/appwide/pdf_export/PDFExport.sxw
Comment 6 lohmaier 2004-10-23 18:33:12 UTC
original summary: "PDF export of Impress files only handles slides, not notes,
handouts etc."
Comment 7 lohmaier 2004-10-23 18:34:09 UTC
*** Issue 12571 has been marked as a duplicate of this issue. ***
Comment 8 lohmaier 2004-10-23 18:34:42 UTC
*** Issue 13355 has been marked as a duplicate of this issue. ***
Comment 9 lohmaier 2004-10-23 19:17:14 UTC
*** Issue 22942 has been marked as a duplicate of this issue. ***
Comment 10 christof.pintaske 2005-02-22 17:34:25 UTC
cp->pl: pdf enhancement
Comment 11 philipp.lohmann 2005-02-22 17:53:10 UTC
I think this would be something for you ?
Comment 12 sven.jacobi 2005-05-23 15:32:15 UTC
sj->mmp: If this issue is about adding the print dialog features to our existing
pdf export dialog, then of course a complete new UI spec is necessary, and this
takes place also for Writer and Calc export and not only for Impress. I don't
know why this should be something for me, I think this issue is more appropriate
for the user experience team.
Comment 13 ccooper 2005-09-22 23:02:39 UTC
I too would like to see this issue resolved. The ability to export handouts to
pdf is very important, esp for those in academia or business who need to
distribute their impress files via handout view to students, particpants,
co-workers, etc. According to the "Kickoffoct2003" agenda, this was a "low
priority" issue 2 years ago--what is the status of this issue now?
Comment 14 aziem 2005-10-09 04:41:21 UTC
*** Issue 47677 has been marked as a duplicate of this issue. ***
Comment 15 atlanx 2005-11-04 07:15:40 UTC
[Tested with OO 2.0 Final English and German]

A friend told me that he can't use the new OO-Impress instead of PowerPoint
because he can't print Handouts with more as 1 Slide at 1 paper.

It took me about 15 minutes to find out how this works in OO-Impress!!!

First i have looked at MS Powerpoint. There you can choose very easy in the
printing menue to printout handouts and how many slides you will have on one side.

Then i have looked on OO-Impress to find something equal in the printing menue,
but there is nothing. Ok, then i have looked in the OO-Helpsystem to find an
answer there. But the information there is useless. It says there:

Printing slides as a handout
You can print several slides on a single page of paper.
1.Choose View - Handout Page.
2.Click "Print File Directly" in the Standard Bar.

Ok, I thought than it is probably enough to have the view of Handouts open and
klick than on print. NB: This would be an very intuitive kind of solution for
this problem!

The result was that the printer printed out 4 paper with one slide instead of 1
paper with 4 slides.

Now I was a bit perplexed and so i thougt it is an bug and I tried to find an
equal bug in the OO-Bugsystem. And now I'm here ;)

By reading the answers here i have found out how to printout handouts(hidden in
the Options... menue ) but you see that it is not so easy as it could be.

And the bug with clicking on Handouts and then on Drawing is still there.

My suggestions:

1) Put this very often used option direct in the first printingdialog instead of
hiding it in an submenu(Options...).
Have an look at the powerpoint printing dialog.

2) Think about the intuitive solution i have described above and how it is
described in the Impress-Help

This part of Impress needs really an usability update.

Thank you. 
Comment 16 kami911 2006-03-07 22:09:24 UTC
Yes, It would be a very nice enhancement, and useful to me!
Comment 17 aziem 2006-07-23 20:31:17 UTC
*** Issue 67684 has been marked as a duplicate of this issue. ***
Comment 18 Mechtilde 2007-01-30 12:27:09 UTC
add CC
Comment 19 amcguire 2007-10-25 15:07:56 UTC
I also need this feature for handouts for technical presentations.
Comment 20 christian.guenther 2008-02-19 08:40:11 UTC
*** Issue 86148 has been marked as a duplicate of this issue. ***
Comment 21 crayzeepete 2008-02-21 19:48:28 UTC
Could someone look at this? It cannot be that hard to implement, and it's been
open for nearly 5 years!
Comment 22 rct 2008-04-24 20:24:26 UTC
Is there another way of generating a PDF of the speaker's notes and/or the
handouts without the need for an external PDF converter that keeps list as a low
priority?

Thanks,
--Rob

Comment 23 chuck_speaks 2008-07-07 17:00:46 UTC
The ability to export Impress handouts to their own pdf for student/lecturer
books is essential for the creation of my classes.  I've found OOo to be an
excellent replacement for MS Office, however this one is a show stopper for
those of us that create handouts and need to use PDF formatting.  Until this is
resolved, I will have to use MSFT as will the rest of my team.  

Please consider this is not just some one-person shop doing one-off projects. 
This is for a global team in a Fortune 20 corporation that is making a
significant effort to replace MSFT Office with OOo.  
Comment 24 parity 2008-10-19 21:53:51 UTC
This issue is a very old one.

It seems as if this feature is really wanted.

Question for the developers: Is it maybe a solution, if the export pdf dialog in
Impress stays the same, but the function is different. When "Export Notes" is
selected Impress should only export the "Slide with notes on a page". When it is
not selected it should export the slides. The actual behaviour is a behaviour
that no one expects from OpenOffice.org.

By the way: Is it planned to have a solution for this problem in 3.x?
Comment 25 philipp.lohmann 2008-10-20 10:12:36 UTC
at least we can reassign it to someone who can do something about it.
Comment 26 philipp.lohmann 2008-10-20 10:13:44 UTC
An I agree that a 3.x target would be good. sj will of course have to decide.
Comment 27 parity 2010-02-17 09:09:58 UTC
I just needed this option again. It is still missing.

When I want to export Slides with Notes, the pdf export generates all the slides
and appends the slides with notes. So the pdf-document has double the pages.

Is it planned to be fixed in 3.3?
Comment 28 umoser 2010-03-10 12:48:25 UTC
I just came across this issue while searching for another problem with the notes
pages. I am working as a lecturer and we have OOo installed on every PC at the
school, but it is not used. One issue is the missing abaility to just export
notes pages (without the slides) and handouts. One option would be to just
export the notes pages (no slides) when the checkbox export notes pages is
marked. Another solution would be the intuitive one also mentioned already.
Export the page style that is currently in use when clicking PDF form the toolbar.

Please find a solution latest in 3.3. I don't want to go back to Powerpoint just
because of this.
Comment 29 deanmb 2010-12-18 20:38:27 UTC
I would support the calls for this feature.  It would enable my training company
to switch from MS Office to Impress for.  I agree that it is hard to imagine the
current situation (slides and notes both exported) evee being of use.
Comment 30 Paul Foxworthy 2012-05-20 03:49:12 UTC
Shouldn't the fact there are six duplicates indicate this is an important feature?